Subject: Re: bug#76402: ‘guix-packages-website’fails to start

From: Ludovic Courtès <[email-masked]>
Date: Wed, 19 Feb 2025 18:16:46 +0100

Hi,

Luis Felipe <[email-masked]> skribis:

> Yes, it seems bayfront is now using the version of Artanis that
> introduced a "plugins" system and it is expecting the Guix Packages
> Website to have a "conf/plugins.scm" module, which it hasn't because
> current version was tested for Artanis 0.6 and 1.0. Should I start
> specifying the versions of the dependencies to avoid these kinds of
> problems? I think this is not the first time this happens.

Yes, maybe we need to pin the version of Artanis that is used for
guix-packages-website, unless Artanis 1.0 makes promises about API
stability?

Ludo’.